/**
Theme Name: Comas Child
Author: Comas
Author URI: http://wpastra.com/about/
Description: Theme for Deltaterm Construct based on Astra Wordpress Theme https://websitedemos.net/brikly-construction-company-04/?customize=template
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: comas-child
Template: astra
*/

.info-item {
    display: flex;
    align-items: center;
    box-sizing: border-box;
    min-width: 0;
}

.info-icon {
    flex-shrink: 0;
    margin-right: 10px;
    font-size: 18px;
}

.info-content {
    display: flex;
    flex-direction: column;
}

.info-value {
    color: var(--ast-global-color-1);
    font-size: 14px;
    font-weight: 700;
}

.info-value a {
    color: inherit;
    text-decoration: none;
}

.info-value a:hover {
    text-decoration: underline;
}

.info-icon .fa-phone {
	-ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=0, mirror=1)";
	-webkit-transform: scaleX(-1);
	transform: scaleX(-1);
	font-size: 18px;
}

.site-header .ast-inline-search.ast-search-menu-icon .search-form, .site-header .ast-inline-search.ast-search-menu-icon .search-form label {
	width: 400px;	
}

.ast-inline-search.ast-search-menu-icon .search-submit {
	right: 0.65em;	
}	

.footer-widget-area[data-section="sidebar-widgets-footer-widget-4"].footer-widget-area-inner #custom_html-6 .custom-html-widget {
	display: flex;
    flex-direction: column;
    gap: 15px;
}

.footer-info-wrapper {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.footer-info-wrapper .info-item {
    display: flex;
    gap: 12px;
}

.footer-info-wrapper .info-icon {
    flex: 0 0 auto;
    width: 36px;
    height: 36px;
	border: 1px solid var(--ast-global-color-1);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--ast-global-color-1);
    font-size: 16px;
	margin-right: 5px;
}

.footer-info-wrapper .info-content.email {
    display: flex;
    align-items: center;
    line-height: 1.6;
}

.footer-info-wrapper .info-content.address {
    line-height: 1.6;
}

div.wpforms-container-full .wpforms-field-label-inline a {
    color: var(--ast-global-color-7);
}

div.wpforms-container-full .wpforms-field-label-inline a:hover {
    color: var(--ast-global-color-3);
}

div.wpforms-container-full button[type=submit], #comments .submit {
	border-radius: 40px;
}

div.wpforms-container-full button[type=submit]:not(:hover):not(:active) {
    background: var(--ast-global-color-0);
}

.ast-article-post .post-thumb-img-content img {
	object-fit: cover;
}	

.entry-meta * {
	color: unset;
}

.blog .posted-on, .archive .posted-on {
	color: var(--ast-global-color-3) !important;	
}

.ast-separate-container .comments-title, .ast-narrow-container .comments-title {
    padding: 0;
}

.single-post.ast-separate-container.ast-two-container #secondary .widget {
	box-shadow: 0px 6px 15px -2px rgba(16, 24, 40, 0.15);
	border-radius: 20px;
}

.single-post.ast-separate-container.ast-two-container #secondary .widget li a {
	color: var(--ast-global-color-7);
}	

.single-post.ast-separate-container.ast-two-container #secondary .widget li a:hover {
	color: var(--ast-global-color-3);
}

.ast-separate-container .ast-comment-list li.depth-1, .ast-narrow-container .ast-comment-list li.depth-1, 
.ast-comment-list + .comment-respond, .ast-separate-container .ast-article-post, .ast-separate-container .comment-respond {
	padding: 2em 0;
}

.ast-separate-container .comments-title, .ast-narrow-container .comments-title {
    font-size: 1.25em;
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h1, .archive #main .page-title, .ast-archive-description h1, 
.ast-archive-description .ast-archive-title, .single-post .entry-content h1, .archive .term-description h1 {
    font-size: 1.875rem; /* 30px */
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h2, .single-post .entry-content h2, .ast-archive-description h2, .archive .term-description h2 {
    font-size: 1.625rem;   /* 26px */
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h3, .single-post .entry-content h3, .single-post.woocommerce-js .comment-reply-title, 
.ast-archive-description h3, .archive .term-description h3 {
    font-size: 1.5rem;   /* 24px */
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h4, .ast-archive-description h4, .archive .term-description h4, .single-post .entry-content h4 {
    font-size: 1.375rem;   /* 22px */
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h5, .ast-archive-description h5, .archive .term-description h5, .single-post .entry-content h5 {
    font-size: 1.25rem;    /* 20px */
}

.ast-product-tabs-layout-accordion .ast-accordion-wrap h6, .ast-archive-description h6, .archive .term-description h6, .single-post .entry-content h6 {
	font-size: 1.125rem;   /* 18px */
}
    
.entry-content :where(h1,h2,h3,h4,h5,h6) {
	margin-top: 0;
}	

.entry-content>:last-child {
	margin-bottom: calc(0.3em + 10px);
}

.ast-separate-container .ast-article-single {
	padding: 0 0 2em 0;
}

.single-post .ast-container {
	padding: 0;
}

.ast-pagination-default .post-page-numbers.current .page-link, .ast-pagination-default .ast-pagination .page-numbers.current {
	border-radius: 15px;
}

.ast-separate-container.ast-two-container.ast-left-sidebar #secondary {
	padding-right: 40px;
}	

.search .ast-row .blog-layout-4 .post-content {
	padding: 2em 2em 1.5em 2em;
}

.ast-blog-layout-4-grid .ast-article-inner, .ast-blog-layout-5-grid .ast-article-inner, .ast-blog-layout-6-grid .ast-article-inner {
	border-radius: 20px;
	box-shadow: 0px 6px 15px -2px rgba(16,24,40,0.15);
}

.widget_search .search-form .search-field, .widget_search .search-field, .widget_search .search-field:focus {
	border-radius: 40px;
}

.widget_search .search-form input[type=submit], .widget_search .search-form input[type=submit]:focus, 
.widget_search .search-form input[type=submit]:hover {
	box-shadow: none;
	
}

.search .search-submit {
	margin-top: -2px;
	box-shadow: none;
}

.ast-separate-container .no-results p {
	margin-bottom: 20px;
    font-size: 18px;
}

.ast-404-search {
    display: none;
}

.error404 #content {
	display: flex;
	align-items: center;
}

.error404.ast-separate-container #primary {
	margin-top: 1em;
}

.ast-desktop .ast-menu-hover-style-underline > .menu-item > .menu-link:before {
    bottom: 3px;
}

.ast-button-wrap .menu-toggle {
	border-radius: 20px;
}

 .cky-notice-btn-wrapper .cky-btn, .cky-btn.cky-btn-preferences, .cky-btn.cky-btn-reject {
	color: var(--ast-global-color-0) !important;
    background-color: transparent !important;
    border-color: var(--ast-global-color-0) !important;
	border-radius: 40px;
}

.cky-btn.cky-btn-accept {
    background: var(--ast-global-color-0) !important;
	color: var(--ast-global-color-5) !important;
    border: 2px solid var(--ast-global-color-0) !important;
	border-radius: 40px;
}

.cky-btn-revisit-wrapper {
	background: var(--ast-global-color-0) !important;
}

.cky-preference-content-wrapper .cky-show-desc-btn {
	color: var(--ast-global-color-0) !important;
}

.wpforms-container select.wpforms-field-required:invalid {
	color: rgba(0, 0, 0, 0.4) !important;
}

.wpforms-container select.wpforms-field-required:valid {
    color: color: var(--wpforms-field-text-color); !important;
}

/* Media queries */

@media screen and (max-width: 1150px) {
	.site-header .ast-inline-search.ast-search-menu-icon .search-form, .site-header .ast-inline-search.ast-search-menu-icon .search-form label {
		width: 300px;	
	}
	
	.ast-builder-menu-1 .menu-item > .menu-link {
		padding: 0 8px;
	}
}

@media screen and (max-width: 1000px) {
	.ast-below-header-bar .ast-builder-grid-row {
		display: block;
	}
	
	.ast-header-break-point .ast-header-search {
		display: block;
		width: 100%;
	}
	
	.site-header .ast-inline-search.ast-search-menu-icon .search-form, .site-header .ast-inline-search.ast-search-menu-icon .search-form label {
		width: 100%;
	}
	
	.ast-separate-container .ast-article-single:not(.ast-related-post), .ast-separate-container .error-404, .ast-separate-container .no-results, 
	.single.ast-separate-container .site-main .ast-author-meta, .ast-separate-container .related-posts-title-wrapper, .ast-separate-container .comments-count-wrapper, 
	.ast-box-layout.ast-plain-container .site-content, .ast-padded-layout.ast-plain-container .site-content, .ast-separate-container .ast-archive-description {
		background: #fff;
	}
}

@media screen and (max-width: 921px) {
	.site-header .ast-inline-search.ast-search-menu-icon .search-form, .site-header .ast-inline-search.ast-search-menu-icon .search-form label {
		width: auto;
	}
	
	.ast-left-sidebar #primary, .ast-right-sidebar #primary, .ast-separate-container.ast-right-sidebar #primary, .ast-separate-container.ast-left-sidebar #primary, 
	.ast-separate-container #primary, .ast-narrow-container #primary, .ast-separate-container.ast-two-container.ast-left-sidebar #secondary {
		padding-left: 24px;
        padding-right: 24px;
	}
	
	.ast-separate-container.ast-two-container.ast-left-sidebar #secondary {
		margin-top: 0;	
	}	
	
	.site .comments-area { 
		padding-bottom: 0;	
	}	
}	

@media screen and (max-width: 544px) {
	.ast-left-sidebar #primary, .ast-right-sidebar #primary, .ast-separate-container.ast-right-sidebar #primary, .ast-separate-container.ast-left-sidebar #primary, 
	.ast-separate-container #primary, .ast-narrow-container #primary, .ast-separate-container.ast-two-container.ast-left-sidebar #secondary {
		padding-left: 20px;
        padding-right: 20px;
	}
}	

@media screen and (max-width: 400px) {
	.site-header .ast-builder-grid-row {
		grid-column-gap: 0;
	}
}	

@media screen and (max-width: 1030px) and (min-width: 1000px) {
	.ast-primary-header .ast-builder-grid-row {
		grid-column-gap: 0;
	}
}	